DynamicJava Javadoc: Class AttributeOwnerComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class AttributeOwnerComponent

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.BytecodeComponent
            |
            +--koala.dynamicjava.classfile.AttributeOwnerComponent

Direct Known Subclasses:
  ClassFile, FieldInfo, MethodInfo

public abstract class AttributeOwnerComponent
extends BytecodeComponent

This class represents a component of the bytecode 'ClassFile' format that contains attributes

Field Summary
`protected short` | `accessFlags` The access flags
`protected java.util.List` | `attributes` The attributes

Fields inherited from class koala.dynamicjava.classfile.BytecodeComponent
`constantPool, nameIndex`

Constructor Summary
`protected` | `AttributeOwnerComponent()` Initializes a new bytecode component

Method Summary
`void` | `setAccessFlags(int flags)` Sets the access flags for this class
`void` | `setSyntheticAttribute()` Sets the synthetic attribute to this field

Methods inherited from class koala.dynamicjava.classfile.BytecodeComponent
`getConstantPool, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accessFlags

    protected short accessFlags

  The access flags

### attributes

    protected java.util.List attributes

  The attributes

Constructor Detail

### AttributeOwnerComponent

    protected AttributeOwnerComponent()

  Initializes a new bytecode component
  Parameters:
    `cp` - the constant pool
    `af` - the access flags
    `ni` - the name index in the constant pool

Method Detail

### setAccessFlags

    public void setAccessFlags(int flags)

  Sets the access flags for this class

### setSyntheticAttribute

    public void setSyntheticAttribute()

  Sets the synthetic attribute to this field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.